ControllerManager = function(){

	this.elements = [];
	this.managers = [];
	this.view;
	this.elements = [];

};

ControllerManager.prototype.launch = function(view){
	this.view.start();
};

ControllerManager.prototype.setView = function(view){
	this.view = view;
};


ControllerManager.prototype.postStart = function(){
	for(var i=0,il=this.elements.length;i<il;i++){
		if(this.elements[i].c_ready){
			this.elements[i].c_ready();
		}
	}
};

ControllerManager.prototype.add = function(element){
	
		if(element.m_isManager){
			this.managers.push(element);
		}else{
			this.elements.push(element);
			this.view.add(element);
		}
};

ControllerManager.prototype.remove = function(element){
	this.elements.remove(element);
	this.view.remove(element);
};


ControllerManager.prototype.update = function(t){

	var i,il;

	for(i=0,il=this.elements.length;i<il;i++){
			
			this.elements[i].c_update( t );
			if( this.elements[i] && this.elements[i].m_deleted ){
				this.remove(this.elements[i]);
				i--;il--;
			}
	}


	for(i=0,il=this.managers.length;i<il;i++){

		var newElement =  this.managers[i].c_update( t );
		if(newElement){
			this.add(newElement);	
		}

	}

};
