/************************************************************************/
/******************* SOUND MANAGER **************************************/
/************************************************************************/

function soundManager(){

}


soundManager.prototype = {

    audioPlayer: [],

    play: function (path, layout, loop) {
        if (!this.audioPlayer[layout]) {
            this.audioPlayer[layout] = document.createElement('audio');
            document.body.appendChild(this.audioPlayer[layout]);
            this.audioPlayer[layout].src = path;
            this.audioPlayer[layout].play();
            this.audioPlayer[layout].volume = 0.6;

        } else {
            try {

                this.audioPlayer[layout].currentTime = 0;
                this.audioPlayer[layout].src = path;
                this.audioPlayer[layout].play();
            } catch (e) {
                console.log(e)
            }
        }
    },

    playsrc: function (path, layout) {
        if (!this.audioPlayer[layout]) {
            this.audioPlayer[layout] = document.createElement('audio');
            document.body.appendChild(this.audioPlayer[layout]);
            this.audioPlayer[layout].src = path;
            this.audioPlayer[layout].play();
            this.audioPlayer[layout].volume = 0.6;

        } else {
            this.audioPlayer[layout].src = path;
            this.audioPlayer[layout].play();
        }
    },

    isFinish: function (layout) {
        if (this.audioPlayer[layout])
            return this.audioPlayer[layout].ended;
        else
            return true;
    },

    seek: function (val, layout) {
        this.audioPlayer[layout].currentTime = val;
        this.audioPlayer[layout].play();
    },

    stop: function (layout) {
        this.audioPlayer[layout].stop();
    },

    pause: function (layout) {
        this.audioPlayer[layout].pause();
    },

    resume: function (layout) {
        this.audioPlayer[layout].play();
    },

    setVolume: function (val, layout) {
        this.audioPlayer[layout].volume = val;
    },

    setSrc: function (path, layout) {
        this.audioPlayer[layout].src = path;
        this.audioPlayer[layout].play();
    },

    init: function () {
        var length = this.audioPlayer.length - 1;
        for (var i = length; i > -1; i--)
            delete this.audioPlayer[i];
        this.audioPlayer = [];
    }

}