app.controller('homeCtrl', function ($scope,$http,$location) {

	$scope.changeView = function(view){
        $location.path(view);
    }

    $scope.logout = function(view){

    	dM.logout(function(data, status) {
         	window.location = 'login';	
        });
    }

    $scope.launch = function(level){
        dM.newUser();
        dM.updateCurrentSection('skin0');
        dM.updateCurrentLevel('level0');
        dM.updateHasTreasure(false);
        dM.updatePreviousLevel(null);
        window.location = window.location.origin+'/shortlight/game/game.html'; 
    }

});


app.controller('settingsCtrl', function ($scope,$http,$location) {

	$scope.settings = {
		shadow : ["shadow",false],
		glow : ["glow",false],
		screen : ["screen",["1920x1080","1267x712","960x540"]],
		iscreen : 0
	}



	$scope.backHome = function(){
        debugger;
        dM.settingsShadow($scope.settings.shadow[1]);
        dM.settingsGlow($scope.settings.glow[1]);
        dM.settingsScreen($scope.settings.screen[1][$scope.settings.iscreen]);
		 $location.path("home");
	}

});


app.controller('rankingCtrl', function ($scope,$http,$location) {

	$scope.players = [{login:'alex',score:4500},{login:'mika',score:4000},{login:'victor',score:3500},{login:'justine',score:2000}];

	$scope.backHome = function(){
		 $location.path("home");
	}
});