var app = angular.module('angularHome', ['ngRoute']);
app.config(function ($routeProvider) {
    $routeProvider
      .when('/home', {
        templateUrl: 'js/partials/home.html',
        controller: 'homeCtrl'
      })
      .when('/worldmap', {
        templateUrl: 'js/partials/worldmap.html',
        controller: 'worldmapCtrl'
      })
      .when('/settings', {
        templateUrl: 'js/partials/settings.html',
        controller: 'settingsCtrl'
      })
      .when('/ranking', {
        templateUrl: 'js/partials/ranking.html',
        controller: 'rankingCtrl'
      })
      .otherwise({
        redirectTo: '/home'
      });
  });