var startGame = function(dataSkin,dataLevel){

	window.sm = new soundManager();
	var controller, view, level, player, mobsManager, oilGenerator;
	controller = new ControllerManager();
	view = new ViewManager(controller);

	level = new Level(dataSkin.level,dataLevel);
	player = new Player(dataSkin, dataLevel);
	mobsManager = new MobsManager(dataSkin, dataLevel);
	gameManager = new GameManager(dataLevel);
	oilManager = new OilsManager(dataSkin);
	doorManager = new DoorManager(dataLevel);
	controller.setView(view);
	controller.add( level );
	controller.add( player );
	controller.add( mobsManager );
	controller.add( gameManager ); 
	controller.add( oilManager );
	controller.add( doorManager );
	mobsManager.c_setPlayer(player);
	mobsManager.c_setLevel(level);
	doorManager.c_setPlayer(player);
	mobsManager.c_setGameManager(gameManager);
	player.c_setLevel(level);
	gameManager.c_setPlayer( player );
	oilManager.c_setPlayer( player );
	oilManager.c_setLevel(level);
	

	buildInterface(gameManager,dataSkin,dataLevel);

	controller.launch();
};


var buildInterface = function(gameManager,dataSkin,dataLevel){


   		/***************window start****************/

   		var ws = document.getElementById("windowStart");

		/***************window victory****************/

		var wv = document.getElementById("windowVictory");
		wv.children[0].textContent = "Victory";
		var group = wv.children[3];
		group.children[0].textContent = "home";
		wv.style.display = "none";
		Object.observe(gameManager.m_watchedVictory,function(change){
			setTimeout(function(){
				wv.style.display = "block";
			},1000);
		});

		group.children[0].onclick = function(){history.back();}

		/***************window fail****************/
		var wf = document.getElementById("windowFail");
		wf.children[0].textContent = "Fail";
		var group = wf.children[1];
		group.children[0].textContent = "home";
		wf.style.display = "none";
		Object.observe(gameManager.m_watchedLoose,function(change){
			debugger;
			setTimeout(function(){
				wf.style.display = "block";
			},1000);
		});

		window.reloadMap = function(levelId){

	  		var dM = new dataManager();
	        dM.updateCurrentSection('skin0');
	        dM.updateCurrentLevel(levelId);
	        location.reload();
	        /*
	        if(dM.webapp){
	           window.location = window.location.origin+'/ProjectTemplate/game/game.html'; 
	        }else{
	           window.location = '/game';
	        }*/		
		}

		group.children[0].onclick = function(){
			history.back();
		}

}