Oil = function(data, material, geometry){

	this.m_id
	this.m_player;
	this.m_scene;
	this.m_mesh;
	this.m_isUsed;
	this.m_hasShadow = true; 

	this.c_initModel(data, material, geometry);
};

Oil.prototype.c_initModel = function(data, material, geometry){
	this.m_id = data.id;
	this.m_position = new Engine.Vector3(data.pos[0],-1,data.pos[1]);
	this.m_mesh = new Engine.Mesh( geometry, material, this.m_hasShadow );
	this.m_mesh.position =  this.m_position;
	this.m_mesh.scale.x = 0;
	this.m_mesh.scale.z = 0;
	this.m_isUsed = false;
}


Oil.prototype.c_update = function(t){


	if(this.m_isUsed){

		this.m_mesh.rotateY(0.002*t);
		var ex = 0-this.m_mesh.scale.x;
		this.m_mesh.scale.x += ex * t * 0.02;
		this.m_mesh.scale.z = this.m_mesh.scale.x;
		if(this.m_mesh.scale.x<0.01){
			this.m_deleted = true;	
		}

	}else if(Math.abs(this.m_position.y)<0.01){
		this.m_position.y = 0;
	    this.m_mesh.scale.x = 1;
	    this.m_mesh.scale.z = 1;
	    this.m_mesh.rotateY(0.001*t);
		var pos = this.m_player.m_position;
		var dx = Math.abs(pos.x-this.m_position.x);
		var dz = Math.abs(pos.z-this.m_position.z);
		if(dx<1&&dz<1){
			this.c_playerUpdate();
		}

	}else{
		var ey = 0-this.m_position.y;
		this.m_position.y += ey * t * 0.005;
		this.m_mesh.scale.x = 1+this.m_position.y;
		this.m_mesh.scale.z = this.m_mesh.scale.x;
		this.m_mesh.rotateY(0.001*( 1-this.m_position.y*10 )*t);
	}

	
}

Oil.prototype.c_playerUpdate = function(){
	this.m_isUsed = true;
	this.m_player.c_takeOil(this.m_id);
};


Oil.prototype.c_setPlayer = function(player){

	this.m_player = player;

};

Oil.prototype.add = function(scene) {
	scene.add(this.m_mesh);
	this.m_scene = scene; 
};

Oil.prototype.remove = function(scene) {
	scene.remove(this.m_mesh);
	this.m_scene = null;
};