OilsManager = function(dataGlobal){

	this.m_isManager = true;
	this.m_level
	this.m_dataOils;
	this.m_dataItem;
	this.m_player;
	this.m_geometry = [];
	this.c_initModel(dataGlobal);
};

OilsManager.prototype.c_initModel = function(dataGlobal){

	this.m_dataOils = dataGlobal.oils;
	
	for (var i=0, il=dataGlobal.oils.length; i < il; i++) {
		this.m_geometry.push( new Engine.ObjGeometry( dataGlobal.oils[i].block ) );
	};

}


OilsManager.prototype.c_update = function(t){

	var oil = this.c_getOilOfTile( this.m_level.c_IndexToTile( this.m_player.m_n, this.m_player.m_m ) );

	if(oil){
		w = new Oil( oil, this.m_player.m_material, this.m_geometry[oil.id] );
		w.c_setPlayer(this.m_player);
		return w;
	}

}

OilsManager.prototype.c_getOilOfTile = function(tile){
	if(tile){
		return tile.oils.pop();
	}
};


OilsManager.prototype.c_setPlayer = function(player){

	this.m_player = player;

};

OilsManager.prototype.c_setLevel = function(level){
	this.m_level = level;
};