var express = require('express');
var fs = require('fs');
var router = express.Router();


module.exports = function(app){


	app.use('/editor',express.static('./../editor/editor.html'));
    app.use('/css/styleeditor.css',express.static( './../editor/css/styleeditor.css'));
    app.use('/js/scripteditor.js',express.static('./../editor/js/scripteditor.js'));
    app.use('/js/bower_components/angular.js',express.static('./../editor/js/bower_components/angular.js'));
    app.use('/js/bower_components/engine.js',express.static('./../editor/js/bower_components/engine.js'));
    app.use('/js/partials',express.static('./../editor/js/partials'));
    
	router.post('/save', function(req, res){
		var id = req.body.name;
		var fs = require('fs');
		fs.writeFile("./../game/data/level/"+id+".json", JSON.stringify(req.body), function(err) {
		    if(err) {
		        res.json({success:false});
		    } else {
		        res.json({success:true});
		    }
		}); 
	});

	router.post('/load', function(req, res){
		var id = req.body.id;
		var fs = require('fs');
		fs.readFile("./../game/data/level/"+id+".json", {encoding: 'utf-8'}, function read(err, data) {
		    if (!err){
		    	res.json(data);
		    }else{
		        res.json();
		    }
	    });
	});

	app.use('/editor', router);

}